Page MenuHomePhabricator

Flow: Disabled buttons do not react to various events e.g. rightclick paste
Closed, ResolvedPublic

Description

screenshot of two text fields that should be submittable but are not

If I paste text into a Flow text area, using mouse's right-click paste (or linux's middle-click paste), then the "Add topic" and "Reply" buttons remain in a disabled state.
I have to actually do a keyboard event, to enable those buttons.

Perhaps adding Blur event detection could enable this use-case? (I think this is what Matt was suggesting in IRC. :)


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz71865

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:58 AM
bzimport set Reference to bz71865.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Oct 9 2014, 6:43 AM
Mattflaschen-WMF triaged this task as Normal priority.Dec 10 2014, 7:33 PM
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:26 AM

Change 198171 had a related patch set uploaded (by Mattflaschen):
Handle enabling/disabling buttons on right-click cut/paste.

https://gerrit.wikimedia.org/r/198171

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM

Ancient but still valid patch; just fixed the tests.

Change 198171 merged by jenkins-bot:
Handle enabling/disabling buttons on right-click cut/paste.

https://gerrit.wikimedia.org/r/198171

DannyH closed this task as Resolved.Jun 2 2015, 12:52 AM

Works on production